/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mouse Gesture for Mozilla.
 *
 * The Initial Developer of the Original Code is Pavol Vaskovic.
 * Portions created by the Initial Developer are Copyright (C) 2001
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *  Andy Edmonds <aedmonds@mindspring.com> 
 *  Ben Williams <benw@webmedia.com.au>
 *  David Illsley <illsleydc@bigfoot.com>
 *  David Perry <d.perry@utoronto.ca>
 *  Jens Bannmann <jens.b@web.de>
 *  Pavol Vaskovic <pali@pali.sk>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

function mgM_NextMessage(){
  var foundUnread = ScrollToMessage(nsMsgNavigationType.nextUnreadMessage, false, true);
  if(!foundUnread) {
    goDoCommand('cmd_nextMsg');
  }
  return "mgM_NextMessage";
}

function mgM_PrevMessage(){
  var foundUnread = ScrollToMessage(nsMsgNavigationType.previousUnreadMessage, false, true);
  if(!foundUnread) {
    goDoCommand('cmd_previousMsg');
  }
  return "mgM_PrevMessage";
}

function mgM_DeleteMessage(){
  goDoCommand('cmd_delete');
  return "mgM_DeleteMessage"
}

function mgM_ReplyMessage(){
  goDoCommand('cmd_reply');
  return "mgM_ReplyMessage";
}

function mgM_ForwardMessage(){
  goDoCommand('cmd_forward');
  return "mgM_ForwardMessage";
}

function mgM_Reload() {
  goDoCommand('cmd_reload');
  return "mgM_Reload";
}

function mgM_Home() {
  loadStartPage();
  return "mgM_Home";
}

function mgM_NewMessage() {
  MsgNewMessage();
  return "mgM_NewMessage";
}

function mgM_ViewSource() {
  MsgViewPageSource();
  return "mgM_ViewSource";
}
